# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Pod-Coverage
Version:	0.23
Release:	10.%{__distinit}%{__distvers}
Summary:	Checks if the documentation of a module is comprehensive
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Pod-Coverage/
Source0:	http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/Pod-Coverage-%{version}.tar.gz
Patch0:		Pod-Coverage-0.23-Do-not-search-.-lib-by-pod_cover.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(B)
BuildRequires:	perl(base)
BuildRequires:	perl(constant)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Devel::Symdump) >= 2.01
BuildRequires:	perl(Pod::Find) >= 0.21
BuildRequires:	perl(Pod::Parser) >= 1.13
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
# Test Suite
BuildRequires:	perl(Exporter)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(warnings)
# Optional Tests
BuildRequires:	perl(Test::Pod) >= 1.00
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Data::Dumper)

# Avoid provides/requires from examples
%global __provides_exclude_from ^%{_docdir}
%global __requires_exclude_from ^%{_docdir}

%description
Developers hate writing documentation. They'd hate it even more if their
computer tattled on them, but maybe they'll be even more thankful in the
long run. Even if not, perlmodstyle tells you to, so you must obey.

This module provides a mechanism for determining if the pod for a given
module is comprehensive.

%prep
%setup -q -n Pod-Coverage-%{version}

# Make pod_cover more secure (CPAN RT#85540)
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%doc Changes examples/
%{_bindir}/pod_cover
%{perl_vendorlib}/Pod/
%{_mandir}/man3/Pod::Coverage.3*
%{_mandir}/man3/Pod::Coverage::CountParents.3*
%{_mandir}/man3/Pod::Coverage::ExportOnly.3*
%{_mandir}/man3/Pod::Coverage::Overloader.3*

%changelog
* Wed Sep 21 2016 Paul Howarth <paul@city-fan.org> - 0.23-10
- Classify buildreqs by usage
- Simplify find command using -delete

* Fri Aug 29 2014 Paul Howarth <paul@city-fan.org> - 0.23-6
- Do not put ./lib into @INC in pod_cover tool (CPAN RT#85540)
- Drop %%defattr, redundant since rpm 4.4

* Wed Jul 17 2013 Paul Howarth <paul@city-fan.org> - 0.23-3
- Perl 5.18 rebuild

* Wed May  1 2013 Paul Howarth <paul@city-fan.org> - 0.23-1
- Update to 0.23
  - Distinguish 'package didn't compile' from 'package has no symbols'
- Avoid provides/requires from examples

* Mon Jun 25 2012 Paul Howarth <paul@city-fan.org> - 0.22-2
- BR: perl(base), perl(constant), perl(Data::Dumper), perl(Exporter) and
  perl(lib)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Feb  8 2012 Paul Howarth <paul@city-fan.org> - 0.22-1
- Update to 0.22
  - POD spelling corrections (CPAN RT#22113)
  - Add "unimport" to the stoplist (CPAN RT#33914)
- Switch to ExtUtils::MakeMaker flow
- BR: perl(Pod::Find) ≥ 0.21 and perl(Pod::Parser) ≥ 1.13 for completeness
- BR: at least version 2.01 of perl(Devel::Symdump)
- BR: at least version 1.00 of perl(Test::Pod)

* Tue Jun 28 2011 Paul Howarth <paul@city-fan.org> - 0.21-4
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 0.21-1
- Update to 0.21 (add SCALAR to the stoplist - implementation method for tied
  hashes)

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 0.20-5
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> - 0.20-4
- Fix dist tag to work with RHEL6 Beta

* Wed Feb 10 2010 Paul Howarth <paul@city-fan.org> - 0.20-3
- Dist tag for Rawhide no longer needs special-casing
- Use %%{_fixperms} macro rather than our own %%{__chmod} incantation

* Wed Sep 23 2009 Paul Howarth <paul@city-fan.org> - 0.20-2
- Define RPM macros in global scope
- Remove macro perl_version, used only once
- Remove reference to %%{buildroot} in %%build section

* Fri Feb 20 2009 Paul Howarth <paul@city-fan.org> - 0.20-1
- Update to 0.20 (test fixes)
- Re-enable Fully::Qualified test in t/02simple.t, which now works on 5.8.0
- No README in upstream distribution this time

* Fri Nov 14 2008 Paul Howarth <paul@city-fan.org> - 0.19-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum

* Fri Sep 14 2007 Paul Howarth <paul@city-fan.org> - 0.19-1
- Update to 0.19
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> - 0.18-2
- Fix dist tag for development builds and Fedora 7 onwards

* Mon Aug  7 2006 Paul Howarth <paul@city-fan.org> - 0.18-1
- Simplify distribution-detection
- Define %%{__id_u} in a more portable way
- Use search.cpan.org URL for source
- Don't use macros in command paths, hardcode them instead
- Package is now noarch
- Patch out failing test on perl 5.8.0

* Thu Aug 25 2005 Paul Howarth <paul@city-fan.org> - 0.17-5
- Import from Fedora Extras
- Remove "|| :" from %%check
- More specific files list

* Thu May 12 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.17-4
- Add dist tag.

* Wed Apr 20 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.17-3
- Avoid .packlist creation with Module::Build >= 0.2609.
- Trust that %%{perl_vendorlib} is defined.

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Nov 27 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.17-1
- Update to 0.17.

* Wed Oct 20 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.16-0.fdr.1
- Update to 0.16.

* Thu May 20 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:0.14-0.fdr.1
- First build.
